
'   ___________________________________________________________________
'             Illustrating an analogue meter display
'           .. and a 'number of times run' technique.
'   -------------------------------------------------------------------

    nomainwin

    open "MeterCountVersions.bas" for input as #b
        l        =lof( #b)
        content$ =input$( #b, l)
    close #b

    version  =asc( mid$( content$, l -50, 1)) -48
    if version <100 then nv$ =chr$( version +1 +48) else [quit]

    content$ =left$( content$, l -51); nv$; mid$( content$, l -49)

    open "MeterCountVersions.bas" for output as #b
        #b, content$;
    close #b

    graphicbox #Meter.g,         70,  70, 170,  10
    statictext #Meter.st,  "",  200,  40,  80,  30
    statictext #Meter.st2, "",  100,   2,  80,  30

    open "Progressing analogue display." for window as #Meter

    #Meter, "trapclose [quit]"

    #Meter.g, "down"
    loadbmp "scale", "colours.bmp"
    #Meter.g, "drawbmp scale 0 0"
    #Meter.g, "flush"

    #Meter.st2, "Used "; version; " times."

    for i =0 to 60 step 0.1
        temperature =1 +84 *( 1 +sin( i))
        #Meter.st, int( temperature); " Celsius"
        #Meter.g, "drawbmp scale 0 0"
        #Meter.g, "place "; temperature; " 0"
        #Meter.g, "backcolor white"
        #Meter.g, "boxfilled 250 40"
        #Meter.g, "flush"
        timer 100, [on]
        wait
      [on]
        timer 0
    next i

    wait

'   _______________________________________________________________________
[quit]
    close #Meter
    end

'   _______________________________________________________________________





















'1111111111111111111111111111111111111111111111111111111111111111111111111111
'2222222222222222222222222222222222222222222222222222222222222222222222222222
'3333333333333333333333333333333333333333333333333333333333333333333333333333
'0000000000000000000000000000000000000000000000000000000000000000000000000000



